Subject: [p2p-sip] Protocol Choice

From: RoyR at saic-abingdon.com (Roy, Radhika (AEAD))
Date: Thu Sep 15 16:09:02 2005

Suresh:
 
I agree with you. I also mentioned in my email.
 
Best regards,
Radhika

________________________________

From: Subramanian, Sureshkumar V (Sureshkumar)** CTR ** [mailto:[email-masked]]
Sent: Thu 9/15/2005 4:03 PM
To: [email-masked]'; Roy, Radhika (AEAD); 'Brijesh Kumar'; 'Dean Willis'
Cc: [email-masked]; 'Johnston, Alan'; 'Stastny Richard'; 'Tschofenig, Hannes'
Subject: RE: [p2p-sip] Protocol Choice

I just went through this document [Internet-draft by Johnston]:
 
It does not suggest "SIP may not be the best P2P protocol" atleast to me.
 
To me, this document listed out advantages about using SIP as a protocol in P2P environment. It also addresses some issues/problems of using SIP as a protocol and also suggested the need for some work can be done on SIP by the way of extensions to accomplish the P2P SIP requirements. Correct me if I am wrong.
 
--Suresh

	-----Original Message-----
	From: [email-masked] [mailto:[email-masked]]On Behalf Of Henry Sinnreich
	Sent: Thursday, September 15, 2005 11:01 AM
	To: 'Roy, Radhika (AEAD)'; 'Brijesh Kumar'; 'Dean Willis'
	Cc: [email-masked]; 'Johnston, Alan'; 'Stastny Richard'; 'Tschofenig, Hannes'
	Subject: RE: [p2p-sip] Protocol Choice

	Here is the justification why SIP may not be the best P2P protocol for P2PSIP:

	http://www.ietf.org/internet-drafts/draft-johnston-sipping-p2p-ipcom-01.txt 

	So this is at least a valid topic to discuss,.

	Thanks, Henry

________________________________

	From: Roy, Radhika (AEAD) [mailto:[email-masked]] 
	Sent: Thursday, September 15, 2005 8:55 AM
	To: [email-masked]; Brijesh Kumar; Dean Willis
	Cc: [email-masked]; Stastny Richard; Tschofenig, Hannes
	Subject: RE: [p2p-sip] Protocol Choice

	Henry, Brijesh, and all:

	Like you, I also though that SIP would be good for p2p communications because it can address the needs of both real-time and non-real-time p2p communications.

	In this case, let us not spend time debating what protocol we need to choose.

	Let it is be SIP.

	If anyone differs on the above, please provide your technical justifications.

	Best regards,

	Radhika

________________________________

	From: Henry Sinnreich [mailto:[email-masked]]
	Sent: Wed 9/14/2005 6:53 PM
	To: 'Brijesh Kumar'; Roy, Radhika (AEAD); 'Dean Willis'
	Cc: [email-masked]; 'Stastny Richard'; 'Tschofenig, Hannes'
	Subject: RE: [p2p-sip] Protocol Choice

	Henry Sinnreich
	> We need to learn with P2P SIP first before we get deeper and
	> deeper in the wide world of P2P protocols themselves.
	
	This raises the question how much time do we have and keep lagging behind
	vendors who are busily roling out P2P. P2P is not new at all and is actually
	according to some sources 2/3 of the Internet traffic.
	
	The choice of P2P for SIP is therefore of urgency to the IETF which seems to
	have missed out so far on what is going on on the Internet. I say this with
	real sorrow.
	
	Thanks, Henry

	-----Original Message-----
	From: Brijesh Kumar [mailto:[email-masked]]
	Sent: Wednesday, September 14, 2005 10:16 AM
	To: Roy, Radhika (AEAD); [email-masked]; Dean Willis
	Cc: [email-masked]; Stastny Richard; Tschofenig, Hannes
	Subject: Re: [p2p-sip] Protocol Choice
	
	----- Original Message -----
	From: "Roy, Radhika (AEAD)" <[email-masked]>

	> OK, I got it. I have the topic as "P2P Protocol Choice."
	> <snip><snip>
	> The other important requirements for the p2p communications are as
	follows:
	>
	> "P2P communications protocol MUST support both real-time and
	near/non-real-time communications."
	
	Hmm .. interesting ...
	
	You have a good point Radhika. However, I think P2P SIP group,
	for now or initially, should  focus only on specifying requirements just
	for P2P SIP. In otherwords - "P2P SIP  MUST support both real-time
	and near/non-real-time communications" should be the limiting statement.
	As long as this is met - I see no reason why should someone care what
	P2P protocol one uses underlying  SIP.  Why not just focus on  P2P SIP
	high-level requirements and design  something that meets these goals rather
	than trying to get bogged down with which p2p? We need to learn with
	P2P SIP first before we get deeper and deeper in the wide world of P2P
	protocols themselves. I am not disagreeing with your idea, but only
	suggesting let us learn to walk first before we run.  My 2 cents!
	
	cheers,
	
	--bk
	
	>
	> -----Original Message-----
	> From: [email-masked] [mailto:[email-masked]]
	> Sent: Tuesday, September 13, 2005 8:51 PM
	> To: Roy, Radhika (AEAD); 'Dean Willis'
	> Cc: [email-masked]; 'Stastny Richard'; 'Tschofenig, Hannes'
	> Subject: RE: [p2p-sip] P2P and 911 (again)
	>
	> > It looks like that p2p-SIP BOF did not explain enough why it needs to
	form
	> the new WG
	>
	> There are many protocol choices and design decisions to be made for P2P
	SIP,
	> such as for example the choices discussed for the p2p protocol messages
	> (generic Chord or SIP messages), p2p at the UA level or in the SIP server
	> cloud; single level or multilevel SIP p2p server clouds., etc.
	>
	> Just take a look at the wealth of contributions at www.p2psip.org
	>
	> The dominant VoIP service is P2P and is not based on IETF work.
	> We do not want the IETF to miss the reality completely on the Internet.
	>
	> Thanks, Henry
	>
	>
	>
	> -----Original Message-----
	> From: Roy, Radhika (AEAD) [mailto:[email-masked]]
	> Sent: Monday, September 12, 2005 3:10 PM
	> To: Dean Willis
	> Cc: [email-masked]; Stastny Richard; Tschofenig, Hannes
	> Subject: RE: [p2p-sip] P2P and 911 (again)
	>
	> It looks like that p2p-SIP BOF did not explain enough why it needs to form
	> the new WG. Let us discuss the necessity for forming a new WG and find out
	> the probable work items.
	>
	> However, like many other items, whether E911 and CALEA will be a part of
	the
	> p2p-SIP WG is a different story.
	>
	> So, if the new WG needs to be formed, it must justify the items other than
	> E911 and CALEA.
	>
	> Best regards,
	> Radhika
	>
	> -----Original Message-----
	> From: [email-masked]
	> [mailto:[email-masked]] On Behalf Of Dean Willis
	> Sent: Monday, September 12, 2005 3:55 PM
	> To: Roy, Radhika (AEAD)
	> Cc: [email-masked]; Stastny Richard; Tschofenig, Hannes
	> Subject: Re: [p2p-sip] P2P and 911 (again)
	>
	>
	> Nope. We're supposed to discuss the objectives, and decide whether or
	> not it really does require new work outside the scope of existing WGs,
	> and if so, exactly what that new scope should be. If this leads us to
	> the formation of a new working group, that's fine -- but forming a new
	> working group is NOT the only reasonable outcome.
	>
	> --
	> Dean
	>
	> On Aug 19, 2005, at 2:05 PM, Roy, Radhika ((AEAD)) wrote:
	>
	> > Hi, all:
	> >
	> > Is it not the case that SIP P2P BOF is supposed to explain why we need
	> > to establish a new SIP P2P WG because it requires new P2P protocol
	> > developments what SIP WG cannot do?
	> >
	> > Best regards,
	> > Radhika
	> >
	>
	> _______________________________________________
	> p2p-sip mailing list
	> [email-masked]
	> http://lists.cs.columbia.edu/mailman/listinfo/p2p-sip
	>

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.cs.columbia.edu/pipermail/p2p-sip/attachments/20050915/3070b595/attachment-0001.html